- name: Initial passwords
  debug:
    msg: |
      {% for k in generated_passwords |d({}) %}
      {%   if generated_passwords[k].root_password or generated_passwords[k].extra_user_password %}
      {{ k }}:
      {%     if generated_passwords[k].root_password %}
        root password: {{ generated_passwords[k].root_password }}
      {%     endif %}
      {%     if generated_passwords[k].extra_user_name and generated_passwords[k].extra_user_password %}
        user         : {{ generated_passwords[k].extra_user_name }}
        password     : {{ generated_passwords[k].extra_user_password }}
      {%     endif %}
      {%   endif %}
      {% endfor %}
  when: generated_passwords
